[USN-5240-1] Linux kernel vulnerability

========================================================================== Ubuntu Security Notice USN-5240-1 January 19, 2022
linux, linux-aws, linux-aws-5.11, linux-aws-5.4, linux-azure, linux-azure-5.11, linux-azure-5.4, linux-bluefield, linux-gcp, linux-gcp-5.11, linux-gcp-5.4, linux-gke, linux-gke-5.4, linux-gkeop, linux-gkeop-5.4, linux-hwe-5.4, linux-ibm, linux-kvm, linux-oem-5.10, linux-oem-5.13, linux-oem-5.14, linux-oracle, linux-oracle-5.11, linux-oracle-5.4, linux-raspi, linux-raspi-5.4 vulnerability ==========================================================================
A security issue affects these releases of Ubuntu and its derivatives:
– Ubuntu 21.10 – Ubuntu 21.04 – Ubuntu 20.04 LTS – Ubuntu 18.04 LTS
Summary:
The system could be made to crash or run programs as an administrator.
Software Description: – linux: Linux kernel – linux-aws: Linux kernel for Amazon Web Services (AWS) systems – linux-azure: Linux kernel for Microsoft Azure Cloud systems – linux-gcp: Linux kernel for Google Cloud Platform (GCP) systems – linux-kvm: Linux kernel for cloud environments – linux-oracle: Linux kernel for Oracle Cloud systems – linux-raspi: Linux kernel for Raspberry Pi systems – linux-aws-5.11: Linux kernel for Amazon Web Services (AWS) systems – linux-azure-5.11: Linux kernel for Microsoft Azure cloud systems – linux-bluefield: Linux kernel for NVIDIA BlueField platforms – linux-gcp-5.11: Linux kernel for Google Cloud Platform (GCP) systems – linux-gke: Linux kernel for Google Container Engine (GKE) systems – linux-gkeop: Linux kernel for Google Container Engine (GKE) systems – linux-ibm: Linux kernel for IBM cloud systems – linux-oem-5.10: Linux kernel for OEM systems – linux-oem-5.13: Linux kernel for OEM systems – linux-oem-5.14: Linux kernel for OEM systems – linux-oracle-5.11: Linux kernel for Oracle Cloud systems – linux-aws-5.4: Linux kernel for Amazon Web Services (AWS) systems – linux-azure-5.4: Linux kernel for Microsoft Azure cloud systems – linux-gcp-5.4: Linux kernel for Google Cloud Platform (GCP) systems – linux-gke-5.4: Linux kernel for Google Container Engine (GKE) systems – linux-gkeop-5.4: Linux kernel for Google Container Engine (GKE) systems – linux-hwe-5.4: Linux hardware enablement (HWE) kernel – linux-oracle-5.4: Linux kernel for Oracle Cloud systems – linux-raspi-5.4: Linux kernel for Raspberry Pi systems
Details:
William Liu and Jamie Hill-Daniel discovered that the file system context functionality in the Linux kernel contained an integer underflow vulnerability, leading to an out-of-bounds write. A local attacker could use this to cause a denial of service (system crash) or execute arbitrary code.
Update instructions:
The problem can be corrected by updating your system to the following package versions:
Ubuntu 21.10: linux-image-5.13.0-1010-kvm 5.13.0-1010.11 linux-image-5.13.0-1011-aws 5.13.0-1011.12 linux-image-5.13.0-1012-azure 5.13.0-1012.14 linux-image-5.13.0-1012-gcp 5.13.0-1012.15 linux-image-5.13.0-1015-oracle 5.13.0-1015.19 linux-image-5.13.0-1015-raspi 5.13.0-1015.17 linux-image-5.13.0-1015-raspi-nolpae 5.13.0-1015.17 linux-image-5.13.0-27-generic 5.13.0-27.29 linux-image-5.13.0-27-generic-64k 5.13.0-27.29 linux-image-5.13.0-27-generic-lpae 5.13.0-27.29 linux-image-5.13.0-27-lowlatency 5.13.0-27.29 linux-image-aws 5.13.0.1011.12 linux-image-azure 5.13.0.1012.12 linux-image-gcp 5.13.0.1012.11 linux-image-generic 5.13.0.27.37 linux-image-generic-64k 5.13.0.27.37 linux-image-generic-lpae 5.13.0.27.37 linux-image-gke 5.13.0.1012.11 linux-image-kvm 5.13.0.1010.10 linux-image-lowlatency 5.13.0.27.37 linux-image-oem-20.04 5.13.0.27.37 linux-image-oracle 5.13.0.1015.15 linux-image-raspi 5.13.0.1015.20 linux-image-raspi-nolpae 5.13.0.1015.20 linux-image-virtual 5.13.0.27.37
Ubuntu 21.04: linux-image-5.11.0-1024-kvm 5.11.0-1024.27 linux-image-5.11.0-1027-aws 5.11.0-1027.30 linux-image-5.11.0-1027-azure 5.11.0-1027.30 linux-image-5.11.0-1027-oracle 5.11.0-1027.30 linux-image-5.11.0-1027-raspi 5.11.0-1027.30 linux-image-5.11.0-1027-raspi-nolpae 5.11.0-1027.30 linux-image-5.11.0-1028-gcp 5.11.0-1028.32 linux-image-5.11.0-49-generic 5.11.0-49.55 linux-image-5.11.0-49-generic-64k 5.11.0-49.55 linux-image-5.11.0-49-generic-lpae 5.11.0-49.55 linux-image-5.11.0-49-lowlatency 5.11.0-49.55 linux-image-aws 5.11.0.1027.26 linux-image-azure 5.11.0.1027.26 linux-image-gcp 5.11.0.1028.26 linux-image-generic 5.11.0.49.48 linux-image-generic-64k 5.11.0.49.48 linux-image-generic-lpae 5.11.0.49.48 linux-image-gke 5.11.0.1028.26 linux-image-kvm 5.11.0.1024.24 linux-image-lowlatency 5.11.0.49.48 linux-image-oem-20.04 5.11.0.49.48 linux-image-oracle 5.11.0.1027.26 linux-image-raspi 5.11.0.1027.24 linux-image-raspi-nolpae 5.11.0.1027.24 linux-image-virtual 5.11.0.49.48
Ubuntu 20.04 LTS: linux-image-5.10.0-1057-oem 5.10.0-1057.61 linux-image-5.11.0-1027-aws 5.11.0-1027.30~20.04.1 linux-image-5.11.0-1027-azure 5.11.0-1027.30~20.04.1 linux-image-5.11.0-1027-oracle 5.11.0-1027.30~20.04.1 linux-image-5.11.0-1028-gcp 5.11.0-1028.32~20.04.1 linux-image-5.13.0-1028-oem 5.13.0-1028.35 linux-image-5.14.0-1020-oem 5.14.0-1020.22 linux-image-5.4.0-1012-ibm 5.4.0-1012.13 linux-image-5.4.0-1025-bluefield 5.4.0-1025.28 linux-image-5.4.0-1031-gkeop 5.4.0-1031.32 linux-image-5.4.0-1050-raspi 5.4.0-1050.56 linux-image-5.4.0-1053-kvm 5.4.0-1053.55 linux-image-5.4.0-1059-gke 5.4.0-1059.62 linux-image-5.4.0-1061-oracle 5.4.0-1061.65 linux-image-5.4.0-1062-gcp 5.4.0-1062.66 linux-image-5.4.0-1067-azure 5.4.0-1067.70 linux-image-5.4.0-96-generic 5.4.0-96.109 linux-image-5.4.0-96-generic-lpae 5.4.0-96.109 linux-image-5.4.0-96-lowlatency 5.4.0-96.109 linux-image-aws 5.11.0.1027.30~20.04.25 linux-image-aws-lts-20.04 5.4.0.1063.65 linux-image-azure 5.11.0.1027.30~20.04.25 linux-image-azure-lts-20.04 5.4.0.1067.65 linux-image-bluefield 5.4.0.1025.26 linux-image-gcp 5.11.0.1028.32~20.04.26 linux-image-gcp-lts-20.04 5.4.0.1062.72 linux-image-generic 5.4.0.96.100 linux-image-generic-lpae 5.4.0.96.100 linux-image-gke 5.4.0.1059.69 linux-image-gke-5.4 5.4.0.1059.69 linux-image-gkeop 5.4.0.1031.34 linux-image-gkeop-5.4 5.4.0.1031.34 linux-image-ibm 5.4.0.1012.13 linux-image-ibm-lts-20.04 5.4.0.1012.13 linux-image-kvm 5.4.0.1053.52 linux-image-lowlatency 5.4.0.96.100 linux-image-oem 5.4.0.96.100 linux-image-oem-20.04 5.10.0.1057.57 linux-image-oem-20.04b 5.10.0.1057.57 linux-image-oem-20.04c 5.13.0.1028.30 linux-image-oem-20.04d 5.14.0.1020.17 linux-image-oem-osp1 5.4.0.96.100 linux-image-oracle 5.11.0.1027.30~20.04.19 linux-image-oracle-lts-20.04 5.4.0.1061.61 linux-image-raspi 5.4.0.1050.84 linux-image-raspi2 5.4.0.1050.84 linux-image-virtual 5.4.0.96.100
Ubuntu 18.04 LTS: linux-image-5.4.0-1031-gkeop 5.4.0-1031.32~18.04.1 linux-image-5.4.0-1050-raspi 5.4.0-1050.56~18.04.1 linux-image-5.4.0-1059-gke 5.4.0-1059.62~18.04.1 linux-image-5.4.0-1061-oracle 5.4.0-1061.65~18.04.1 linux-image-5.4.0-1062-gcp 5.4.0-1062.66~18.04.1 linux-image-5.4.0-1067-azure 5.4.0-1067.70~18.04.1 linux-image-5.4.0-96-generic 5.4.0-96.109~18.04.1 linux-image-5.4.0-96-generic-lpae 5.4.0-96.109~18.04.1 linux-image-5.4.0-96-lowlatency 5.4.0-96.109~18.04.1 linux-image-aws 5.4.0.1063.45 linux-image-azure 5.4.0.1067.46 linux-image-gcp 5.4.0.1062.47 linux-image-generic-hwe-18.04 5.4.0.96.109~18.04.84 linux-image-generic-lpae-hwe-18.04 5.4.0.96.109~18.04.84 linux-image-gke-5.4 5.4.0.1059.62~18.04.23 linux-image-gkeop-5.4 5.4.0.1031.32~18.04.31 linux-image-lowlatency-hwe-18.04 5.4.0.96.109~18.04.84 linux-image-oem 5.4.0.96.109~18.04.84 linux-image-oem-osp1 5.4.0.96.109~18.04.84 linux-image-oracle 5.4.0.1061.65~18.04.40 linux-image-raspi-hwe-18.04 5.4.0.1050.52 linux-image-snapdragon-hwe-18.04 5.4.0.96.109~18.04.84 linux-image-virtual-hwe-18.04 5.4.0.96.109~18.04.84
After a standard system update you need to reboot your computer to make all the necessary changes.
ATTENTION: Due to an unavoidable ABI change the kernel updates have been given a new version number, which requires you to recompile and reinstall all third party kernel modules you might have installed. Unless you manually uninstalled the standard kernel metapackages (e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual, linux-powerpc), a standard system upgrade will automatically perform this as well.
References: ubuntu.com/security/notices/USN-5240-1 CVE-2022-0185
Package Information: launchpad.net/ubuntu/+source/linux/5.13.0-27.29 launchpad.net/ubuntu/+source/linux-aws/5.13.0-1011.12 launchpad.net/ubuntu/+source/linux-azure/5.13.0-1012.14 launchpad.net/ubuntu/+source/linux-gcp/5.13.0-1012.15 launchpad.net/ubuntu/+source/linux-kvm/5.13.0-1010.11 launchpad.net/ubuntu/+source/linux-oracle/5.13.0-1015.19 launchpad.net/ubuntu/+source/linux-raspi/5.13.0-1015.17 launchpad.net/ubuntu/+source/linux/5.11.0-49.55 launchpad.net/ubuntu/+source/linux-aws/5.11.0-1027.30 launchpad.net/ubuntu/+source/linux-azure/5.11.0-1027.30 launchpad.net/ubuntu/+source/linux-gcp/5.11.0-1028.32 launchpad.net/ubuntu/+source/linux-kvm/5.11.0-1024.27 launchpad.net/ubuntu/+source/linux-oracle/5.11.0-1027.30 launchpad.net/ubuntu/+source/linux-raspi/5.11.0-1027.30 launchpad.net/ubuntu/+source/linux/5.4.0-96.109 launchpad.net/ubuntu/+source/linux-aws/5.4.0-1063.66 launchpad.net/ubuntu/+source/linux-aws-5.11/5.11.0-1027.30~20.04.1 launchpad.net/ubuntu/+source/linux-azure/5.4.0-1067.70 launchpad.net/ubuntu/+source/linux-azure-5.11/5.11.0-1027.30~20.04.1 launchpad.net/ubuntu/+source/linux-bluefield/5.4.0-1025.28 launchpad.net/ubuntu/+source/linux-gcp/5.4.0-1062.66 launchpad.net/ubuntu/+source/linux-gcp-5.11/5.11.0-1028.32~20.04.1 launchpad.net/ubuntu/+source/linux-gke/5.4.0-1059.62 launchpad.net/ubuntu/+source/linux-gkeop/5.4.0-1031.32 launchpad.net/ubuntu/+source/linux-ibm/5.4.0-1012.13 launchpad.net/ubuntu/+source/linux-kvm/5.4.0-1053.55 launchpad.net/ubuntu/+source/linux-oem-5.10/5.10.0-1057.61 launchpad.net/ubuntu/+source/linux-oem-5.13/5.13.0-1028.35 launchpad.net/ubuntu/+source/linux-oem-5.14/5.14.0-1020.22 launchpad.net/ubuntu/+source/linux-oracle/5.4.0-1061.65 launchpad.net/ubuntu/+source/linux-oracle-5.11/5.11.0-1027.30~20.04.1 launchpad.net/ubuntu/+source/linux-raspi/5.4.0-1050.56 launchpad.net/ubuntu/+source/linux-aws-5.4/5.4.0-1063.66~18.04.1 launchpad.net/ubuntu/+source/linux-azure-5.4/5.4.0-1067.70~18.04.1 launchpad.net/ubuntu/+source/linux-gcp-5.4/5.4.0-1062.66~18.04.1 launchpad.net/ubuntu/+source/linux-gke-5.4/5.4.0-1059.62~18.04.1 launchpad.net/ubuntu/+source/linux-gkeop-5.4/5.4.0-1031.32~18.04.1 launchpad.net/ubuntu/+source/linux-hwe-5.4/5.4.0-96.109~18.04.1 launchpad.net/ubuntu/+source/linux-oracle-5.4/5.4.0-1061.65~18.04.1 launchpad.net/ubuntu/+source/linux-raspi-5.4/5.4.0-1050.56~18.04.1